Bug 250211 - Do not display error message on reopening previous files on startup
Summary: Do not display error message on reopening previous files on startup
Status: RESOLVED FIXED
Alias: None
Product: lokalize
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Nick Shaforostoff
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-09-04 22:41 UTC by OsamaK
Modified: 2011-04-14 23:02 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description OsamaK 2010-09-04 22:41:50 UTC
Version:           unspecified (using KDE 4.5.0) 
OS:                Linux

This is probably related to Bug 250204.

This bug is against version 1.1 on KDE 4.5.1 but there are no entries for them (yet).

Reproducible: Always

Steps to Reproduce:
1. Open Lokalize.
2. Open a few gettext files.
3. Close Lokalize.
4. Move/remove them.
5. Open Lokalize again. 

Actual Results:  
An "Error opening the following files:" message is displayed.

Expected Results:  
No error should be displayed.
Comment 1 Nick Shaforostoff 2010-11-26 17:16:39 UTC
what do you think if Lokalize would display this message in background, using plasma notification mechanism (of course in case of reopening previous files)?
Comment 2 OsamaK 2010-11-26 17:43:17 UTC
I'm not sure if that's going to be useful. Having them in 'Open Recent' is enough if I want to remember what I was working on.
Comment 3 Nick Shaforostoff 2011-04-14 22:56:38 UTC
SVN commit 1227957 by shaforo:

switch to knotification system for displaying fileopen errors.
this way they in particular can be disabled via systemsettings

BUG: 250211



 M  +1 -0      CMakeLists.txt  
 A             lokalize.notifyrc  
 M  +4 -7      lokalizemainwindow.cpp  
 M  +7 -2      mergemode/mergeview.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1227957